UnresolvablePathException (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.reflect, class: UnresolvablePathException

# Class UnresolvablePathException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.cayenne.CayenneRuntimeException
org.apache.cayenne.reflect.UnresolvablePathException

All Implemented Interfaces:
  `Serializable`

public class UnresolvablePathException extends CayenneRuntimeException
A runtime exception thrown when `PropertyUtils.getProperty()` finds that there is a null value in middle of the resolved path.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnresolvablePathException()`
  `UnresolvablePathException(String messageFormat, Object... messageArgs)`
  `UnresolvablePathException(String messageFormat, Throwable cause, Object... messageArgs)`
  `UnresolvablePathException(Throwable cause)`

- ## Method Summary

  ### Methods inherited from class CayenneRuntimeException

  `getExceptionLabel, getMessage, getUnlabeledMessage`
  Modifier and Type
  Method
  Description
  `static String`
  `getExceptionLabel()`
  `String`
  `getMessage()`
  Returns message that includes Cayenne version label and the actual exception message.
  `String`
  `getUnlabeledMessage()`
  Returns exception message without Cayenne version label.

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnresolvablePathException

    public UnresolvablePathException()

  - ### UnresolvablePathException

    public UnresolvablePathException(String messageFormat, Object... messageArgs)

  - ### UnresolvablePathException

    public UnresolvablePathException(String messageFormat, Throwable cause, Object... messageArgs)

  - ### UnresolvablePathException

    public UnresolvablePathException(Throwable cause)